Analysis
https://api.casafari.com/market-analytics-api/analysisLegacy API (api.casafari.com). A route of the existing API for Casafari clients with a contract, not of the platform. On the platform: POST /v1/area-insights/analysis.
En la Legacy API en https://api.casafari.com (clientes con contrato): envíe Authorization: Bearer $CASAFARI_TOKEN; consulte cómo obtener un token. Nuevos usuarios: la API REST de la plataforma, claves de API de plataforma.
Description
Market analysis based on the requested property parameters.
Cuerpo de la solicitud
Tipo de contenido application/json. Obligatorio. Tipo: object.
custom_location_boundaryobjectobligatorio3 propiedades
location_idsinteger[]polygonobject[]2 propiedades
latitudenumberobligatoriolongitudenumberobligatoriocircleobject2 propiedades
distanceintegerobligatoriotarget_point solicitado hasta los inmuebles.target_pointobjectobligatorio2 propiedades
latitudenumberobligatoriolongitudenumberobligatoriobusiness_typestringobligatoriosale renttypesstring[]obligatorio42 valores permitidos
apartment studio duplex penthouse dachgeschosswohnung etagenwohnung erdgeschosswohnung country_house house palace townhouse villa country_estate chalet bungalow family_house reihenhaus reihenendhaus reihenmittelhaus einfamilienhaus zweifamilienhaus landwirtschaftliche_betriebe retail office industrial warehouse hotel building other_commercial restaurant werkstatt urban_plot rural_plot room parking garage other apartment_building office_building mix_use_building apartment_development house_developmentconditionsstring[]nullableused, ruin, very-good, new, other.used ruin very-good new otherenergy_ratingsstring[]nullableUnknown A+ A B C D E F G Horientationsstring[]nullableexterior interiorviewsstring[]nullablewater landscape city golf parkdirectionsstring[]nullablenorth south east westfloorsstring[]nullableno_floor ground middle topprice_rangeobjectnullable2 propiedades
minintegernullablemaxintegernullablerooms_rangeobjectnullable2 propiedades
minintegernullablemaxintegernullablebedrooms_rangeobjectnullable2 propiedades
minintegernullablemaxintegernullablebathrooms_rangeobjectnullable2 propiedades
minintegernullablemaxintegernullabletotal_area_rangeobjectnullable2 propiedades
minintegernullablemaxintegernullableplot_area_rangeobjectnullable2 propiedades
minintegernullablemaxintegernullableconstruction_year_rangeobjectnullable2 propiedades
minintegernullablemaxintegernullablecharacteristicsobjectnullable2 propiedades
must_havestring[]balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuityexcludestring[]balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuityEjemplo de solicitud
Solo marcadores de posición: reemplace el token y los valores por los suyos.
curl -X POST "https://api.casafari.com/market-analytics-api/analysis" \
-H "Authorization: Bearer $CASAFARI_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"types": [
"apartment"
],
"business_type": "sale",
"custom_location_boundary": {
"location_ids": [
11737
]
}
}'Respuestas
200 Respuesta correcta
Tipo: object.
Show the response shape (33 fields)
price_statisticsobjectobligatorio2 propiedades
average_priceintegerobligatorioaverage_price_per_sqmintegerobligatorioprice_estimationobjectobligatoriofast_market_price and an inflated price out_of_market_price.2 propiedades
fast_market_priceintegerobligatorioout_of_market_priceintegerobligatorioprice_evolutionobjectobligatorio2 propiedades
avg_priceobjectobligatorio5 propiedades
for_the_last_1_monthintegerobligatoriofor_the_last_3_monthintegerobligatoriofor_the_last_6_monthintegerobligatoriofor_the_last_9_monthintegerobligatoriofor_the_last_12_monthintegerobligatorioavg_price_per_sqmobjectobligatorio5 propiedades
for_the_last_1_monthintegerobligatoriofor_the_last_3_monthintegerobligatoriofor_the_last_6_monthintegerobligatoriofor_the_last_9_monthintegerobligatoriofor_the_last_12_monthintegerobligatoriosummary_price_evolutionobjectobligatorio2 propiedades
avg_priceobjectobligatorio5 propiedades
for_the_last_1_monthintegerobligatoriofor_the_last_3_monthintegerobligatoriofor_the_last_6_monthintegerobligatoriofor_the_last_9_monthintegerobligatoriofor_the_last_12_monthintegerobligatorioavg_price_per_sqmobjectobligatorio5 propiedades
for_the_last_1_monthintegerobligatoriofor_the_last_3_monthintegerobligatoriofor_the_last_6_monthintegerobligatoriofor_the_last_9_monthintegerobligatoriofor_the_last_12_monthintegerobligatorioaverage_days_on_the_marketintegerobligatorioExample from a real call (Madrid, apartments for sale)
{
"price_statistics": {
"average_price": 1011690,
"average_price_per_sqm": 7305
},
"price_estimation": {
"fast_market_price": 539298,
"out_of_market_price": 596067
},
"price_evolution": {
"avg_price": {
"for_the_last_1_month": 578551,
"for_the_last_3_month": 577572,
"for_the_last_6_month": 574922,
"for_the_last_9_month": 571344,
"for_the_last_12_month": 567683
},
"avg_price_per_sqm": {
"for_the_last_1_month": 4820,
"for_the_last_3_month": 4802,
"for_the_last_6_month": 4771,
"for_the_last_9_month": 4733,
"for_the_last_12_month": 4693
}
},
"summary_price_evolution": {
"avg_price": {
"for_the_last_1_month": 615491,
"for_the_last_3_month": 613654,
"for_the_last_6_month": 613816,
"for_the_last_9_month": 611901,
"for_the_last_12_month": 608941
},
"avg_price_per_sqm": {
"for_the_last_1_month": 5071,
"for_the_last_3_month": 5038,
"for_the_last_6_month": 5024,
"for_the_last_9_month": 4992,
"for_the_last_12_month": 4953
}
},
"average_days_on_the_market": 133
}400 Solicitud incorrecta
Tipo: object.
Mostrar la estructura de la respuesta (3 campos)
messagestringobligatorioerrorsstring[]nullabledetailsstringnullable404 No encontrado
Tipo: object.
Mostrar la estructura de la respuesta (3 campos)
messagestringobligatorioerrorsstring[]nullabledetailsstringnullable422 Error de validación
Tipo: object.
Mostrar la estructura de respuesta (6 campos)
detailobject[]5 propiedades
loc(string | integer)[]obligatoriomsgstringobligatoriotypestringobligatorioinputanyctxobject